// IntPanel.cpp : implementation file
//

#include "stdafx.h"
#include "mw4gameed2.h"
#include "IntPanel.h"

/////////////////////////////////////////////////////////////////////////////
// CIntPanel dialog


CIntPanel::CIntPanel(int *dpt,CString fname,CWnd* pParent /*=NULL*/)
	: CFieldPanel(CIntPanel::IDD, fname,pParent)
{
	MyData=dpt;
	//{{AFX_DATA_INIT(CIntPanel)
	m_Int = 0;
	//}}AFX_DATA_INIT
	m_Int=*MyData;
}


void CIntPanel::DoDataExchange(CDataExchange* pDX)
{
	CFieldPanel::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CIntPanel)
	DDX_Text(pDX, IDC_INTFIELD, m_Int);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CIntPanel, CFieldPanel)
	//{{AFX_MSG_MAP(CIntPanel)
		// NOTE: the ClassWizard will add message map macros here
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CIntPanel message handlers

void CIntPanel::OnOK() 
{
	UpdateData(TRUE);	
	*MyData=m_Int;
}
